@import 'src/style/includes/sass_vars_and_mixins.module.scss';


.wrapper {
  display: flex;
  position: relative;
}

.chart {
  flex-grow: 1;
  border-radius: 5px;
  background: var(--color-brand-weakest);
}

.baselineLabelWrapper {
  width: 100px;
  min-width: 100px;
  font-size: var(--font-size-s);
  position: relative;
  left: 5px;
  height: 100%;
}

.baselineLabel {
  position: absolute;
  transform: translateY(-50%);
}

.baselineLabelName {
  font-weight: 500;
}

.baselineLabelValue {
  color: var(--color-text-weaker);
  white-space: nowrap;
}

.barLabels {
  position: absolute;
  width: 100%;
}

.barLabel {
  position: absolute;
  font-weight: 400;
  font-size: var(--font-size-s);
  line-height: 1.1em;
  transform: translate(-50%, -50%);
  color: var(--color-text-weaker);
  text-align: center;
  @include text-border(var(--color-brand-weakest));
}

.labelLine {
  fill: none;
  stroke: rgba(black, 0.35);
  stroke-dasharray: 1 2;
  stroke-width: 1px;
  stroke-linecap: round;
  stroke-linejoin: round;
}
.labelLineBackground {
  fill: none;
  stroke: var(--color-brand-weakest);
  stroke-width: 5px;
  stroke-linecap: round;
  stroke-linejoin: round;
}

.barValue {
  font-weight: 500;
  font-size: var(--font-size-s);
  fill: var(--color-text-weaker);

  &.primary {
    fill: var(--color-text-base);
  }
}

.rangeMark {
  shape-rendering: crispEdges;
}
